http://www.xoops.ir

سیستم مدیریت محتوا زوپس

سیستم مدیریت محتوای زوپس، CMS قدرتمندی ‌است كه با زبان PHP نوشته شده و با بانک اطلاعات MySQL همخوانی دارد، استفاده از این نرم افزار كاملا آزاد و رایگان است، برای دریافت هسته‌ی اصلی این برنامه روی آیکن زیر کلیک کنید.

دریافت کنید
زوپس فارسی
زوپس فارسی
زوپس فارسی
زوپس فارسی
زوپس فارسی
زوپس فارسی
زوپس ۲.۵.۱ نسخه نهایی منتشر شد - اخبار زوپس - اخبار زوپس
ورود به سایت




ورود خودکار

واژه رمز را فراموش کرده‌اید؟
عضو شوید
افراد آنلاين
16 کاربر آن‌لاين است (2 کاربر در حال مشاهده‌ی سایت اخبار زوپس)

عضو: 0
مهمان: 16

بیشتر...
اخبار زوپس : زوپس ۲.۵.۱ نسخه نهایی منتشر شد
فرستنده voltan در تاريخ ۱۳۹۰/۲/۱ ۱۵:۰۰:۰۰ (2396 بار خوانده شده) خبرهای فرستاده شده توسط این شخص
تیم توسعه زوپس با افتخار انتشار یک نسخه دیگر از سیستم مدیریت محتوای زوپس را اعلام میدارد . زوپس ۲.۵.۱ نسخه نهایی

تصویر کوچک شده


در این نسخه تمرکز اصلی برای روی رفع ایرادات گزارش شده از انتشار زوپس ۲.۵ بوده و امکانات جدیدی به هسته اضافه نشده است. تمام امکانات جدید به نسخه زوپس ۳ اضافه خواهد شد . ( اطلاعات کامل در مورد زوپس ۳ : xoopsengine.org )

دریافت زوپس ۲.۵.۱
---------------------------------

دریافت زوپس ۲.۵.۱ نسخه فارسی
دریافت فارسی ساز زوپس ۲.۵.۱

دریافت زوپس ۲.۵.۱ نسخه انگلیسی


سیستم مورد نیاز
-----------------------------------
PHP:
Any PHP version >= 5.2 (PHP 5.3+ is strongly recommended)

MySQL:
MySQL server 5.0+

Web server:
Any server supporting the required PHP version (Apache highly recommended)

فارسی سازی و تغییرات مربوط به بومی سازی هسته
-----------------------------------
در این نسخه به طور کامل از بومی سازی محیط زوپس برای تمام زبان ها پشتیبانی شده است .
برای تمام قالب های مدیریت یک فایل css در هر زبان اضافه شده است تا کد های مربوط به آن زبان ( مثلا کد های مربوط به سیستم راست به چپ در زبان فارسی ) در آن فایل قرار گیرد.
در بخش نصب و به روز رسانی یک فایل css برای هر زبان اضافه شده است
همچنین یک فایل css سراسری در تمام صفحات بخش کاربر و مدیریت سایت لود میشود . ( این فایل در شاخه زبان ها قرار دارد )

همچنین امکانتی برای بومی سازی قالب های زوپس در این نسخه اضافه شده است . شما میتوانید برای هر قالب یک شاخه language تغریف کرده و در آن فایل های java و css و php مربوط به زبان خود را قرار دهید ( قالب zetagenesis را مشاهده کنید )

فارسی ساز زوپس بر اساس نسخه جدید به روز شده است.

نصب زوپس ۲.۵
----------------------------------
1- تمام فایل های داخل htdocs/ را در سرور خود قرار دهید .
2- فایل mainfile.php و include/license.php و xoops_data/data/secure.php شاخه uploads/ را قابل نوشتن کنید ( دسترسی 777 در لینوکس) .
3- برای امنیت بیشتر شاخه های xoops_lib ( برای کتاب های زوپس) و xoops_data ( برای داده های زوپس) به خارج از شاخه اصلی (root) سایت منتقل کنید. یا نام آنها را تغییر دهید.
4- شاخه xoops_data/ را قابل نوشتن کنید .
همچنین شاخه های زیر را قابل نوشتن کنید.
xoops_data/caches
xoops_data/caches/xoops_cache
xoops_data/caches/smarty_cache
xoops_data/caches/smarty_compile
در صورت موجود نبودن هر کدام از این شاخه آنها را بسازید.
5- با وارد کردن آدرس وب سایت خود در مرور گر وب وارد مراحل نصب شوید.

به شدت درخواست میشود ماژول PROTECTOR را که در بسته اصلی زوپس قرار دارد برای بالابردن امنیت سایت خود نصب کنید. با توجه به پشتیبانی از سیستم Preload دیگر نیازی به ویرایش mainfile.php وجود ندارد . کافی است پوشه preloads در پوشه ماژول وجود داشته باشد و فایل core.php درون آن قرار گیرد.


به روز رسانی از نسخه های قبلی
--------------------------------------

از نسخه زوپس ۲.۵ به ۲.۵.۱
۱- نسخه زوپس ۲.۵.۱ را از این وب سایت دریافت و در کنترل پنل هاستینگ خود بارگذاری ( آپلود ) کنید.
۲- در این مرحله شما باید اکثر فایل های جدید بارگذاری شده را جایگرین فایل های قبلی کنید به غیر از mainfile.php و xoops_data/data/secure.php
۳- دسترسی شاخه های زیر را برسی کنید تا ۷۷۷ باشد ( قابل نوشتن ) باشند :
uploads/
uploads/avatars/
uploads/images/
uploads/ranks/
uploads/smilies/
xoops_lib
xoops_data
xoops_data/caches
xoops_data/caches/xoops_cache
xoops_data/caches/smarty_cache
xoops_data/caches/smarty_compile
xoops_data/configs

همچنین شاخه های xoops_lib و xoops_data باید خارج از public_html قرار داشته باشند . در صورتی که این شاخه ها در داخل public_html قرار دارند آنها را به خارج از این شاخه مناقل کرده و بعد از آن mainfile.php را ویاریش کرده و مسیر جدید این شاخه ها را وارد کنید.

۴- ماژول سیستم را به روز کنید. همچنین پیشنهاد میشود ماژول های پروفایل و پیام شخصی را نیز به روز کنید.

به روز رسانی از نسخه های پایین تر از ۲.۵
اسکریت آپگرید هنوز به طور کامل برای زوپس ۲.۵.۱ آماده نشده است و در نسخه زوپس ۲.۵.۲ درون بسته زوپس قرار خواهد گرفت . البته شما با استفاده از روش ذکر شده در پایین میتوانید نسخه زوپس خود را به روز کنید : ( توجه داشته باشید که اسکریپت به آپگرید در بسته زوپس ۲.۵.۱ قرار ندارد . از اسکریت داخل بسته زوپس ۲.۵.۰ استفاده کنید ) ( دانلود زوپس ۲.۵.۰ )

۱- ابتدا از تمام فایل ها و پایگاه داده های سایت خود یک نسخه پشتیبان کامل و مطمئن و قابل برگردانی تهیه فرمایید و دسترسی فایل های mainfile.php و include/license.php ( در صورت وجود ) را به ۷۷۷ تغییر دهید .

در صورتی که به هر دلیلی نتوانستید یا نخواستید از بسته های به روز رسان استفاده کنید با دریافت بسته اصلی زوپس ۲.۵ و حذف mainfile.php و شاخه های install میتوانید بقیه فایل ها را جایگزین فایل های قبلی کنید .

2- فایل های جدید را جایگزین فایل های قبلی کنید.
3- در کامپیوتر خانگی خود شاخه upgrade را به داخل htdocs منتقل کنید . ( چون به این شاخه برای نصب کامل احتیاجی نیست در خارج از htdocs قرار گرفته است. )
4- اگر دو خط زیر را برای استفاده در ماژول protector در mainfile.php خود اضافه کرده اید آنها را حذف کنید.

include XOOPS_TRUST_PATH.'/modules/protector/include/precheck.inc.php' ;
include 
XOOPS_TRUST_PATH.'/modules/protector/include/postcheck.inc.php' ;


5- با استفاده از مرورگر وب خود به شاخه /upgrade/ بروید . ( بعد از آدرس سایت نام آن را وارد کنید )
6- در بخش /upgrade/ پایگاه داده های خود را به روز کنید .
7- بعد از به روز رسانی شاخه upgrade را از روی سرور خود حذف کنید.
8- به بخش مدیریت ماژول ها بروید و ماژول "system" و "profile" و "Protector" را به روز کنید .

به روز رسانی از زوپس 2.0 از نسخه 2.0.14 به بالا و زوپس 2.2 ( از تمام فایل ها استفاده کنید).
1- در سیستم خانگی خود شاخه "upgrade" را به داخل شاخه "htdocs" منتقل کنید.
2- در کامپیوتر خانگی خود شاخه ها و فایل های htdocs/mainfile.php, htdocs/install/, htdocs/cache/, htdocs/extras/, htdocs/template_c/, htdocs/themes/و htdocs/uploads/را از "htdocs" حذف کنید ( پاک کنید)
3- فایل های باقی مانده را از کامپیوتر خانگی خود به شاخه فایل های خود در سرور بارگذاری کنید.
4- برای امنیت بیشتر شاخه های xoops_lib ( برای کتاب های زوپس) و xoops_data ( برای داده های زوپس) به خارج از شاخه اصلی (root) سایت منتقل کنید. یا نام آنها را تغییر دهید.
5- شاخه xoops_data/ را قابل نوشتن کنید . شاخه های
xoops_data/caches
xoops_data/caches/xoops_cache
xoops_data/caches/smarty_cache
xoops_data/caches/smarty_compile
را ایجاد و قابل نوشتن کنید.
6- به mainfile.php دسترسی نوشتن بدهید .
7- اگر دو خط زیر را برای استفاده در ماژول protector در mainfile.php خود اضافه کرده اید آنها را حذف کنید.

include XOOPS_TRUST_PATH.'/modules/protector/include/precheck.inc.php' ;
include 
XOOPS_TRUST_PATH.'/modules/protector/include/postcheck.inc.php' ;


8- با استفاده از مرور گر خود به شاخه "upgrade" رفته و مراحل نصب را دنبال کنید.
9- با استفاده از امکانات "upgrade" پایگاه داده های خود را به روز کنید.
10- شاخه "upgrade" را از روی سرور خود حذف کنید.
11- ماژول "system" را از قسمت مدیریت ماژول های خود به روز کنید. همچنین لازم است بقیه ماژول ها را به روز کنید.


به روز رسانی وب سایت های که UTF-8 نیستند.
--------------------------------------
در زوپس 2.3 سیستم کد گذاری به طور پیش فرض به UTF-8 تغییر کرده است . در نتیجه ممکن است برای برخی وب سایت هایی که از سیستم کد گذاری UTF-8 استفاده نمیکنند برای به روز کردن به زوپس 2.3 مشکلاتی پیش بیاید .قبل از به روز رسانی راهکار های مناسبی برای رفع این مشکل وجود دارد .تنظیمات زیر به شما کمک میکند تا وب سایت خود را به نسخه بالاتر به روز کنید .
4در مرحله به روز رسانی در بخش " کارکتر پایگاه داده ها تنظیم و تطبیق داده شد " ("Database character set and collation" ) گزینه انتخاب پایگاه داده ها را بر روی "تغییر نده" ("Do not change" ) قرار دهید.
5فایل /languages/yourlanguage/global.php را ویرایش کرده و سیستم کدگذاری پیشفرض آن را به UTF-8 تغییر دهید . نمونه :

define('_CHARSET''UTF-8');


به روز رسانی بسته زوپس ادیتور :
--------------------------------------
در بسته زوپس ۲.۵ چندین ویرایشگر به طور پیش فرض اضافه شده است . ویرایشگر های dhtmltextarea و textarea برای حالت متنی و ویرایشگر های koivi برای استفاده از قابلیت های WYSIWYG HTML .
اگر در هر شاخه ای از وب سایت شما ویرایشگر های tinymce وجود دارد . قبل از به روز رسانی باید آنها را حذف کنید .

( تمام سایت های ساخته شده با زوپس فارسی با استاندارد UTF-8 هماهنگ هستند. فقط در صورتی که پایگاه داده های mysql شما نسخه ۵ به بالا است در مراحل به روز رسانی میتوانید دیتابیس را هم به utf-8 تبدیل کنید )




برسی درستی به روز رسانی فایل ها
--------------------------------------
در بسته زوپس اسکریپی وجود دارد که امکان میدهد شما بتوانید برسی کنید آیا تمام فایل های موجود در بسته را به درستی بارگذاری کرده اید یا خیر.
6فایل های checksum.php و checksum.md5 را در ریشه سایت خود بارگذاری کنید . در کنار مین فایل . این فایل ها در بسته زوپس قرار دارند .
7فایل checksum.php را با مرورگر خود اجرا کنید .
83- اگر لازم بود دوباره فایل های مورد نیاز را بارگذاری کنید.
9فایل های checksum.php و checksum.md5 را از روی سرور خود حذف کنید .

ماژول ها
--------------------------------------
این بسته فقط شامل ماژول های لازم برای بخش مدیریت وب سایت شما است . لطفا بخش ماژول های سایت xoops.org و بخش ماژول این سایت را برای دریافت ماژول های جدید برسی کنید. همچنین لطفا قبل از نصب ماژول ها سایت سازنده ماژول را برسی کنید و از آخرین نسخه ماژول استفاده کنید .
در صورت داشتن هر گونه سوال یا بروز هرگونه مشکل میتوانید برای پشتیبانی به انجمن های سایت زوپس فارسی و یا انجمن های سایت اصلی زوپس مراجعه کنید.
به زودی بسته های زوپس فارسی در سایت قرار خواهد گرفت.
برچسب‌ها: زوپس   نسخه   ۲.۵.۱   نهایی  
بی‌شک دیدگاه هر کس نشانه‌ی تفکر اوست، ما در برابر نظر دیگران مسئول نیستیم
فرستنده شاخه
MHKN1981
فرستاده‌شده در تاریخ: ۱۳۹۰/۲/۱۲ ۱۳:۳۳  به روز‌شده در تاریخ: ۱۳۹۰/۲/۱۲ ۱۳:۳۳
تازه وارد!
عضویت از: ۱۳۸۵/۵/۱۴
از:
پیام: 8
 پاسخ به زوپس ۲.۵.۱ نسخه نهایی منتشر شد...
سلام

خسته نباشید

من این نسخه زوپس را از همین سایت دریافت کردم.

هم XAMPS و هم EASYPHP به هنگام نصب و نمایش صفحه ورود خطا های زیادی با عنوان

Non-static method XoopsLoad::load() should not be called statically برای مثال برای تابع load برخورد می کنم.

خواهشمندم جهت رفع مشکل راهنمایی بفرمایید.

ممنون
voltan
فرستاده‌شده در تاریخ: ۱۳۹۰/۲/۱۳ ۱۸:۵۲  به روز‌شده در تاریخ: ۱۳۹۰/۲/۱۳ ۱۸:۵۲
...:::مدیر اصلی سایت:::...
عضویت از: ۱۳۸۵/۲/۱۱
از: 127.0.0.1
پیام: 3328
 پاسخ به زوپس ۲.۵.۱ نسخه نهایی منتشر شد...
سلام

لطفا مشکلات رو در انجمن های پشتیبانی ارسال کنید .

این مورد خاص که فرمودید ارور خاصی نیست اگه مشکل جدی باشه با پسوند ارور نمایش میده . اگه سایت بدون مشکل کار میکنه حالت خطا گیری رو خاموش کنید
monavaria
فرستاده‌شده در تاریخ: ۱۳۹۰/۶/۶ ۱۴:۳۵  به روز‌شده در تاریخ: ۱۳۹۰/۶/۶ ۱۴:۳۵
اون قدر هم خجالتی نیست!
عضویت از: ۱۳۸۶/۱۲/۲۱
از:
پیام: 31
 پاسخ به زوپس ۲.۵.۱ نسخه نهایی منتشر شد...
با سلام
من از نسخه قدیمی 2.0.14 استفاده میکنم . میخواستم سیستم رو ارتقا بدم .
اول اینکه فولدر upgrade در بسته دانلود نبود .
دوم اینکه میخوام بدونم مشکلی در این زمینه وجود دارد یا میتونم به راحتی بروز رسانی کنم ؟
ممنون .